org.apache.pdfbox.pdmodel.interactive.form

## Class PDSignatureField

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDField
  - - org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField
    - - org.apache.pdfbox.pdmodel.interactive.form.PDSignatureField

All Implemented Interfaces:
  COSObjectable

    public class PDSignatureField
    extends PDTerminalField

A signature field is a form field that contains a digital signature.

Author:
  Ben Litchfield, Thomas Chojecki

### Constructor Summary

Constructors
Constructor and Description
`PDSignatureField(PDAcroForm acroForm)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`PDSignature` `getDefaultValue()` Returns the default value, if any.
`PDSeedValue` `getSeedValue()` (Optional; PDF 1.5) A seed value dictionary containing information that constrains the properties of a signature that is applied to the field.
`PDSignature` `getSignature()` Get the signature dictionary.
`PDSignature` `getValue()` Returns the signature contained in this field.
`String` `getValueAsString()` Returns a string representation of the "V" entry, or an empty string.
`void` `setDefaultValue(PDSignature value)` Sets the default value of this field to be the given signature.
`void` `setSeedValue(PDSeedValue sv)` (Optional; PDF 1.) A seed value dictionary containing information that constrains the properties of a signature that is applied to the field.
`void` `setSignature(PDSignature value)` Deprecated. Use `setValue(PDSignature)` instead.
`void` `setValue(PDSignature value)` Sets the value of this field to be the given signature.
`void` `setValue(String value)` This will throw an UnsupportedOperationException if used as the signature fields value can't be set using a String

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField

`applyChange, getFieldFlags, getFieldType, getWidget, getWidgets, importFDF, setActions, setWidgets`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDField

`equals, getAcroForm, getActions, getAlternateFieldName, getCOSObject, getFullyQualifiedName, getInheritableAttribute, getMappingName, getParent, getPartialName, hashCode, isNoExport, isReadOnly, isRequired, setAlternateFieldName, setFieldFlags, setMappingName, setNoExport, setPartialName, setReadOnly, setRequired, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDSignatureField

    public PDSignatureField(PDAcroForm acroForm)
                     throws IOException

Parameters:
  `acroForm` - The acroForm for this field.
Throws:
  `IOException` - If there is an error while resolving partial name for the signature field or getting the widget object.
See Also:
  `PDTerminalField(PDAcroForm)`

### Method Detail

#### setSignature

    @Deprecated
    public void setSignature(PDSignature value)
                                  throws IOException

Deprecated. Use `setValue(PDSignature)` instead.
Add a signature dictionary to the signature field.

Parameters:
  `value` - is the PDSignatureField
Throws:
  `IOException`

#### getSignature

    public PDSignature getSignature()

Get the signature dictionary.

Returns:
  the signature dictionary

#### setValue

    public void setValue(PDSignature value)
                  throws IOException

Sets the value of this field to be the given signature.

Parameters:
  `value` - is the PDSignatureField
Throws:
  `IOException`

#### setValue

    public void setValue(String value)

This will throw an UnsupportedOperationException if used as the signature fields value can't be set using a String

Specified by:
  `setValue` in class `PDField`
Parameters:
  `value` - the plain text value.
Throws:
  `UnsupportedOperationException` - in all cases!

#### setDefaultValue

    public void setDefaultValue(PDSignature value)
                         throws IOException

Sets the default value of this field to be the given signature.

Parameters:
  `value` - is the PDSignatureField
Throws:
  `IOException`

#### getValue

    public PDSignature getValue()

Returns the signature contained in this field.

Returns:
  A signature dictionary.

#### getDefaultValue

    public PDSignature getDefaultValue()

Returns the default value, if any.

Returns:
  A signature dictionary.

#### getValueAsString

    public String getValueAsString()

Description copied from class: `PDField`
Returns a string representation of the "V" entry, or an empty string.

Specified by:
  `getValueAsString` in class `PDField`
Returns:
  The list of widget annotations.

#### getSeedValue

    public PDSeedValue getSeedValue()

(Optional; PDF 1.5) A seed value dictionary containing information that constrains the properties of a signature that is applied to the field.

Returns:
  the seed value dictionary as PDSeedValue

#### setSeedValue

    public void setSeedValue(PDSeedValue sv)

(Optional; PDF 1.) A seed value dictionary containing information that constrains the properties of a signature that is applied to the field.

Parameters:
  `sv` - is the seed value dictionary as PDSeedValue